
	Do imonth = 11, 12
	Do idate = 1, 30

	jday = ical2jul(idate,imonth,2017)

	Write (*, 55) idate, imonth, jday
 55	Format (3(1x, i10))

	Enddo
	Enddo

 100	Stop

	End

!!! Calendar to Julian day conversion
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!! Function for conversion of Calendar to Julian Day Number         !!!
!!! Inputs:                                                          !!!           
!!!             Date                            (idd, integer)       !!!
!!!             Month                           (imo, integer)       !!!
!!!             Year                            (iyy, integer)       !!!      
!!! Output:                                                          !!!
!!!             Julian Day Number               (jday, integer)      !!!
!!! Version: February 16, 2010 (ATJ).                                !!!      
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
         Integer Function ical2jul(iddd,immm,iyyy)
         ! iddd  = date  (Can be anything between 1 to 31)
         ! immm  = month (Can be anything between 1 to 12)
         ! iyyy  = year  (Can be literally anything)
         ! jday  = julian day number (Can be anything between 1 to 366)
         
         Dimension incmon(13), leapinc(13)
 
         Data incmon /0, 31, 59, 90, 120, 151, 181, 212, &
      &                    243, 273, 304, 334, 365/

         Data leapinc /0, 31, 60, 91, 121, 152, 182, 213,&
      &                    244, 274, 305, 335, 366/
 
         icheck = mod (iyyy, 4) ! icheck is leap year checking index
 
         If (icheck /= 0) julday = iddd + incmon(immm)
         If (icheck == 0) julday = iddd + leapinc(immm)
 
         ical2jul = julday
 
         End Function ical2jul

